Upload product variation image (async)
Last updated
Was this helpful?
POST https://app.ecwid.com/api/v3/{storeId}/products/{productId}/combinations/{combinationId}/image/async
Your app must have the following access scopes to make this request: read_catalog, update_catalog
All path params are required.
storeId
number
Ecwid store ID.
productId
number
Internal product ID.
combinationId
number
Internal product variation ID.
The Authorization header is required.
Authorization
Bearer secret_ab***cd
Access token of the application.
A JSON object with the following fields:
url
string
HTTPS link to the image file that will be uploaded to the store. Required
width
string
Width of the image. Required
height
string
Height of the image. Required
externalId
string
Internal image ID for Lightspeed R-Series/X-Series image sync.
main
string
Image alt text in the main store language.
Object with text field translations in the "lang": "text" format, where the "lang" is an ISO 639-1 language code. For example:
Translations are available for all active store languages. Only the default language translations are returned if no other translations are provided for the field. Find active store languages with GET /profile request > languages > enabledLanguages.
A JSON object with the following fields:
id
number
Internal ID of the uploaded image.
Last updated
Was this helpful?
Was this helpful?
{
"en": "Sample text",
"nl": "Voorbeeldtekst"
}